package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.PostAddCmd;
import com.zcloud.basic.info.dto.PostListQry;
import com.zcloud.basic.info.dto.PostPageQry;
import com.zcloud.basic.info.dto.PostUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.PostCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.Collection;
import java.util.List;

/**
 * web-client
 *
 * @Author SondonYong
 * @Date 2025-10-31 17:24:04
 */
public interface PostServiceI {
    PageResponse<PostCO> listPage(PostPageQry qry);

    MultiResponse<PostCO> list(PostListQry qry);

    SingleResponse<PostCO> getInfoById(Long id);

    SingleResponse<PostCO> add(PostAddCmd cmd);

    void edit(PostUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    List<PostCO> listByPostIds(Collection<Long> collection);

    List<PostCO> getPostList();

    PostCO getPostById(Long aLong);
}

